Important: Please read the Qt Code of Conduct - https://forum.qt.io/topic/113070/qt-code-of-conduct

Upgrading Linux Mint 19.3 to 20 - Need to reinstall Qt Creator?



  • I want to perform a distribution upgrade of my Linux Mint 19.3 (based on Ubuntu 18.04 LTS) to version 20 (based on Ubuntu 20.04 LTS).

    If I do this via Mint's native update function in the update manager, will the manual installation of QtCreator and the precompiled Qt binaries (installed via the Qt WebInstaller) still work or do I have to reinstall the whole thing?

    What about the binary compatibility of the Qt libraries between different Ubuntu releases? Are the precompiled binaries that come with the WebInstaller release specific, or are they compatible from at least Ver. 18.04+?So, is there any difference at all between the precompiled binaries, or are exactly the same Qt libraries used by the Qt Installer for both versions of Mint/Ubuntu?
    https://testmyspeed.onl/ https://essaywriter.fun/


  • Qt Champions 2019

    @LeonardhoFstader1 said in Upgrading Linux Mint 19.3 to 20 - Need to reinstall Qt Creator?:

    will the manual installation of QtCreator and the precompiled Qt binaries (installed via the Qt WebInstaller) still work or do I have to reinstall the whole thing?

    Should still work.

    "Are the precompiled binaries that come with the WebInstaller release specific, or are they compatible from at least Ver. 18.04+?" - official Qt binaries for Linux are build on Red Hat Linux as far as I know, not Ubuntu or its derivates. I suggest you just do the upgrade and see whether it is still working. Worst case will be a new Qt installation.


Log in to reply